#include <bits/stdc++.h>


using namespace std;

typedef struct gr
{
    long long p, d;
}gr;

typedef struct tez
{
    long long p, d, t;
}tez;

int main()
{
    long long n, m, i = 0, j = 0;
    cin >> n >> m;
    long long rez[m];
    gr ngr[n];
    tez ntez[m];
    for(i=0; i<n; i++)
        cin >> ngr[i].p >> ngr[i].d;
    for(i=0; i<m; i++)
    {
        rez[i] = 0;
        cin >> ntez[i].p >> ntez[i].d >> ntez[i].t;
    }
    for(i=0; i<m; i++)
    {
        for(j=ntez[i].p-1; j<ntez[i].d; j++)
        {
            if(ntez[i].t >= ngr[j].p && ntez[i].t <= ngr[j].d)
            {
                rez[i]++;
            }
        }
    }
    for(i=0; i<m; i++)
        cout << rez[i] << endl;
    return 0;
}